#include "stdafx.h"
#include <assert.h>

#include "../Common/IJobServer.h"

extern "C"
{
	JOBSERVER_API void DeleteJobServer( IJobServer* pJobServer );
	JOBSERVER_API IJobServer* CreateJobServer( int nThreadID, JobServerPlatform ePlatform, const int nIJobServerVersion );
	JOBSERVER_API void GetJobServerInfo( SJobServerInfo* pInfo );
};

int _tmain(int argc, _TCHAR* argv[])
{
	IJobServer *pJobServer = CreateJobServer(0,JSP_WINDOWS,IJOBSERVERVERSION);		assert(pJobServer);

//	JobServerResult res = pJobServer->Init("\"D:/Programming/Main/Game/Levels/__RAM_testy/RAM_testy.cry\"");			assert(res==JSRESULT_OK);
	JobServerResult res = pJobServer->Init("\"martin01\"");			assert(res==JSRESULT_OK);

	for(;;)
	{
		JobServerResult res = pJobServer->Tick();
		
		if(res==JSRESULT_FINISHED)
			break;

		assert(res==JSRESULT_OK);	
	}

	pJobServer->Done();

	delete pJobServer;
	return 0;
}

